<script setup lang="ts">

import { routes } from '@/router'
import { RouterLink } from 'vue-router'
</script>

<template>
  <nav>
    <h2>GraphQl Exercises</h2>
    <ul>
      <li v-for="route in routes" :key="route.name">
        <RouterLink :to="route.path">{{ route.meta?.name || route.name }}</RouterLink>
        <ul v-if="route.children?.length">
          <li v-for="r in route.children" :key="r.name">
            <RouterLink :to="route.path + r.path">{{ r.meta?.name || r.name }}</RouterLink>
          </li>
        </ul>
      </li>
    </ul>
  </nav>
</template>

<style scoped>
nav {
  font-size: 1rem;
  padding-top: 1rem;

  h2 {
    margin-top: 0;
  }

  ul {
    list-style: none;
    padding: 0;

    ul {
      padding-inline-start: 2em;
    }
  }
}
a {
  display: inline-block;
  padding: .25rem 0;

  &.router-link-exact-active {
    color: var(--color-text);
  }

  &.router-link-exact-active:hover {
    background-color: transparent;
  }
}
</style>